#!/bin/bash
#-----------------------------------------------------------------------------
echo -e "\n$0" called with "$@"

declare OWN_DIR=$(dirname "$0")
declare CONFIG_SCRIPT_DIR=$(dirname "$1")
declare -x PLIST_VAR_PREFIX="NEWMAIL_"
# variables in config that content should be preserved
declare -x -a VAR_NAMES=(\
    #"PROTOCOL_HANDLERS"          DON'T! This one is dynamic
    #"SUPPORTED_ARCHIVE_FORMATS"  DON'T! This one is static, readonly
    "SELECTED_HANDLER"\
    "ATTACHMENT_NAME"\
    "ARCHIVE_FORMAT"\
    "ALWAYS_COMPRESS"\
    "COMPRESS_IF"\
    "MIN_COMPRESSED_PERCENT"\
    "LOG_LEVEL"\
    "USE_SYSLOG"\
    "CONFIRM_SUCCESS"\
    "CONFIRM_ONLY_FAILURE"\
)

source "${OWN_DIR}/helperscripts.sh"

update_config "$@"

# include the updated config via service helpers (and therefore update/create the defaults if missing)
source "${OWN_DIR}/../Scripts/"newmailhelpers
# Force update of PROTOCOL_HANDLERS and it's defaults pair NEWMAIL_PROTOCOL_HANDLERS
echo "${PROTOCOL_HANDLERS}" > /dev/null
# Force update of SUPPORTED_ARCHIVE_FORMATS and it's defaults pair NEWMAIL_SUPPORTED_ARCHIVE_FORMATS
echo "$SUPPORTED_ARCHIVE_FORMATS}" > /dev/null
#-----------------------------------------------------------------------------
