#!/bin/bash
#-----------------------------------------------------------------------------
echo -e "\n$0" called with "$@"

declare OWN_DIR=$(dirname "$0")
declare CONFIG_SCRIPT_DIR=$(dirname "$1")
declare -x PLIST_VAR_PREFIX="SYMBOLIZE_"
# variables in config that content should be preserved
declare -x -a VAR_NAMES=(\
    "SYMBOL_PATH"\
    "SYMBOL_CACHE_PATH"\
    "SYMBOL_SEARCH_PATHS"\
    "LOG_LEVEL"\
    "USE_SYSLOG"\
    "PROCESS_ALL_MODULES"\
    "USE_ATOS_FOR_SYMBOLIZE"\
    "LOG_FILE_PATTERNS"\
    "CONFIRM_SUCCESS"\
    "CONFIRM_ONLY_FAILURE"\
    "KEEP_FAILED_SYMBOLIZE_RESULTS"\
    "EXCLUDES"\
    "ARCHIVES"\
)

source "${OWN_DIR}/helperscripts.sh"

update_config "$@"

# include the updated config via service helpers (and therefore update/create the defaults if missing)
source "${OWN_DIR}/../Scripts/"symbolizehelpers
#-----------------------------------------------------------------------------

init "$0"
#-----------------------------------------------------------------------------
